- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# pgpDigParams_s Struct Reference

`#include <rpmpgp.h>`

## Data Fields
const char * | userid
const byte * | hash
const char * | params [4]
byte | tag
byte | version
byte | time [4]
byte | pubkey_algo
byte | hash_algo
byte | sigtype
byte | hashlen
byte | signhash16 [2]
byte | signid [8]

## Detailed Description

Definition at line 954 of file rpmpgp.h.

## Field Documentation

const char* pgpDigParams_s::userid

Definition at line 956 of file rpmpgp.h.

Referenced by pgpFreeDig(), and pgpPrtUserID().

const byte* pgpDigParams_s::hash

Definition at line 958 of file rpmpgp.h.

Referenced by pgpFreeDig(), and pgpPrtSig().

const char* pgpDigParams_s::params[4]

Definition at line 959 of file rpmpgp.h.

Referenced by pgpFreeDig().

byte pgpDigParams_s::tag

Definition at line 960 of file rpmpgp.h.

Referenced by pgpPrtKey(), pgpPrtPkts(), and pgpPrtSubType().

byte pgpDigParams_s::version

version number.

Definition at line 962 of file rpmpgp.h.

Referenced by pgpPrtKey(), and pgpPrtSig().

byte pgpDigParams_s::time[4]

time that the key was created.

Definition at line 963 of file rpmpgp.h.

Referenced by pgpPrtKey(), pgpPrtSig(), and pgpPrtSubType().

byte pgpDigParams_s::pubkey_algo

public key algorithm.

Definition at line 964 of file rpmpgp.h.

Referenced by pgpPrtKey(), and pgpPrtSig().

byte pgpDigParams_s::hash_algo

Definition at line 966 of file rpmpgp.h.

Referenced by pgpPrtSig().

byte pgpDigParams_s::sigtype

Definition at line 967 of file rpmpgp.h.

Referenced by pgpPrtSig().

byte pgpDigParams_s::hashlen

Definition at line 968 of file rpmpgp.h.

Referenced by pgpPrtSig().

byte pgpDigParams_s::signhash16[2]

Definition at line 969 of file rpmpgp.h.

Referenced by pgpPrtSig().

byte pgpDigParams_s::signid[8]

Definition at line 970 of file rpmpgp.h.

Referenced by pgpPrtPubkeyParams(), pgpPrtSig(), and pgpPrtSubType().

The documentation for this struct was generated from the following file:

- rpmio/rpmpgp.h